<!doctype html>
<html class="no-js" lang="zxx" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Addonis Marketplace</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" th:href="@{~/plugins/bootstrap/bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{~/plugins/themefisher-fonts/themefisher-fonts.css}">
    <link rel="stylesheet" th:href="@{~/plugins/magnific-popup/magnific-popup.css}">
    <link rel="stylesheet" th:href="@{~/plugins/animate/animate.css}">
    <link rel="stylesheet" th:href="@{~/plugins/slick/slick.css}">
    <link rel="stylesheet" th:href="@{~/css/style.css}">
    <script src="plugins/modernizr.min.js"></script>
</head>

<body>
<div class="loading">
    <div class="windows8 loading-position">
        <div class="wBall" id="wBall_1">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_2">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_3">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_4">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_5">
            <div class="wInnerBall"></div>
        </div>
    </div>
</div>

<nav class="navbar navbar-fixed-top navigation">
    <div class="container">
        <div class="navbar-header">
            <div>
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a th:href="@{/}" class="navbar-brand logo" href="index.html" style="background:linear-gradient(45deg,#E8ED84,#EE9D43,#EBD56F);
                -webkit-background-clip: text;-webkit-text-fill-color: transparent;
        -moz-text-fill-color: transparent; font-weight: bold; font-size: 26px;
        text-align: center!important; vertical-align: middle!important;">
                    <div style="padding-top: 7px; font-family: Georgia, cursive">
                        <img src="/images/puzzle.png" style="height: 45px; width:45px" alt="logo"/>ADDONIS m3mbers
                    </div>
                </a>
            </div>
        </div>
        <div class="collapse navbar-collapse navbar-ex1-collapse">
            <ul class="nav navbar-nav navbar-right menu">
                <li><a th:href="@{/addons}" href="addons-list.html">Marketplace</a></li>
                <li><a th:href="@{/register}" href="register.html" sec:authorize="!isAuthenticated()">
                    Sign Up</a></li>
                <li><a th:href="@{/login}" href="login.html" sec:authorize="!isAuthenticated()">
                    Login</a></li>
                <li><a th:href="@{'/users/'+${user.username}}" href="profile.html" sec:authorize="isAuthenticated()">
                    Profile</a></li>
                <li>
                <li><a th:href="@{/admin}" href="admin.html" sec:authorize="hasRole('ADMIN')">
                    Admin</a></li>
                <li>
                    <form id="myform"
                          style="cursor: pointer; vertical-align: middle!important; padding: 15px!important;"
                          th:action="@{/logout}" sec:authorize="isAuthenticated()" method="post">
                        <a onclick="document.getElementById('myform').submit()"
                           style="color:papayawhip;text-decoration:none">
                            Logout</a></form>
                </li>
            </ul>
        </div>
    </div>
</nav>

<section class="page-header services-header" data-parallax="scroll"
         data-image-src="images/header/portfolio-folding-img.jpg">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h1 class="text-center">Our Addons.<br> We Ensure Functionality.</h1>
            </div>
        </div>
    </div>
</section>

<section class="portfolio">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="title text-center">
                    <h2>Sort By</h2>
                </div>
                <div class="protfolio-mixitup-btn text-center">
                    <button class="filter btn btn-default btn-main" data-filter="category-1"><a
                            th:href="@{/addons}">ALL</a></button>
                    <button class="filter btn btn-default btn-main" data-filter="category-2"><a
                            th:href="@{/addons/sort/name}">NAME</a></button>
                    <button class="filter btn btn-default btn-main" data-filter="category-3"><a
                            th:href="@{/addons/sort/downloads}">DOWNLOADS</a></button>
                    <button class="filter btn btn-default btn-main" data-filter="category-4"><a
                            th:href="@{/addons/sort/upload-date}">UPLOAD DATE</a></button>
                    <button class="filter btn btn-default btn-main" data-filter="category-5"><a
                            th:href="@{/addons/sort/last-commit-date}">LAST COMMIT DATE</a></button>
                    <br/><br/>

                    <div class="title text-center">
                        <h2>Filter</h2>
                    </div>
                    <script>
                        function searchByName() {
                            var searchQuery = document.getElementById('filterByName').value;
                            var pageUrl = "http://localhost:8080/addons/filter/addonName?name=" + searchQuery;
                            window.open(pageUrl, "_self");
                        }
                    </script>

                    <div class="col-md-12">
                        <div class="form-group search-input">
                            <input class="vh-center form-control col-md-2 col-md-4" id="filterByName"
                                   placeholder="Search for name ..." title="Type in a name"
                                   style="background-color: papayawhip; color: #111111; margin-left: 10px; width: 25%!important;height: 45px;"/>
                            <button style="margin-left: 5px; height: 45px;" type="submit"
                                    class="btn btn-warning col-md-1 col-sm-2"
                                    onclick="searchByName()">Search<i class="tf-search"></i>
                            </button>
                        </div>

                        <script>
                            function filterByIDE(value) {
                                var pageUrl = "http://localhost:8080/addons/filter/ide?IDEName=" + value;
                                window.open(pageUrl, "_self");
                            }
                        </script>
                        <label>
                            <select class="filter btn btn-default btn-main col-md-offset-11" data-filter="category-5"
                                    onchange="filterByIDE(value);">
                                <option th:each="ide : ${ides}"
                                        th:value="${ide.IDEName}"
                                        th:text="${ide.IDEName}"
                                        th:selected="${ideName} != null and ${ide.IDEName}==${ideName}">
                                </option>
                            </select>
                        </label>
                    </div>
                </div>
                <section class="services">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="title text-center">
                                    <h2>Our Addons</h2>
                                </div>
                            </div>
                            <div th:each="addon : ${addons}" class="col-md-3">
                                <div class="service-item text-center">
                                    <div class="services-icon">
                                        <i class="tf-mobile"></i>
                                    </div>
                                    <h4 th:text="${addon.name}" class="service-title"></h4>
                                    <br/>
                                    <table id="table" style="width: 75%; margin: auto;" class="service-description">
                                        <tr class="service-description">
                                            <th class="service-description">Creator:</th>
                                            <td th:text="${addon.creator.username}" class="service-description">Creator</td>
                                        </tr>
                                        <tr id="trIDE" class="service-description">
                                            <th class="service-description">IDE:</th>
                                            <td th:text="${addon.ide.getIDEName()}" class="service-description">IDE</td>
                                        </tr>

                                        <tr class="service-description">
                                            <th class="service-description">Downloads:</th>
                                            <td th:text="${addon.downloads}" class="service-description">Downloads</td>
                                        </tr>
                                        <tr class="service-description">
                                            <th class="service-description">Uploaded:</th>
                                            <td th:text="${addon.uploadDate}" class="service-description">Upload</td>
                                        </tr>
                                    </table>
                                    <br/>
                                    <a th:href="@{'/addon/'+${addon.addonId}}"
                                       class="btn btn-default btn-main th-btn-border service-description">More Info</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
    </div>
</section>

<footer class="footer">
    <div class="container">
        <div class="row">
            <div class="container">
                <div class="footer-nav text-center">
                    <div class="col-md-12">
                        <ul>
                            <li><a th:href="@{/register}" href="register.html" sec:authorize="!isAuthenticated()">
                                Sign Up</a></li>
                            <li><a th:href="@{/login}" href="login.html" sec:authorize="!isAuthenticated()">
                                Login</a></li>
                            <li><a th:href="@{'/users/'+${user.username}}" href="profile.html"
                                   sec:authorize="isAuthenticated()">Profile</a></li>
                            <li>
                                <form th:action="@{/logout}" sec:authorize="isAuthenticated()" method="post">
                                    <a onclick="document.getElementById('myform').submit()" style="color:papayawhip;text-decoration:none">Logout</a>
                                </form>
                        </ul>
                    </div>
                </div>
                <div class="text-center">
                    <div class="col-md-12">
                        <div class="copyright">
                            <p>&copy; 2020 All rights reserved. <br>
                                Design and Developed By Addonis M3mbers</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>

<script th:src="@{~/plugins/jquery.min.js}"></script>
<script th:src="@{~/plugins/bootstrap/bootstrap.min.js}"></script>
<script th:src="@{~/plugins/slick/slick.min.js}"></script>
<script th:src="@{~/plugins/filterizr/jquery.filterizr.min.js}"></script>
<script th:src="@{~/plugins/magnific-popup/jquery.magnific-popup.min.js}"></script>
<script th:src="@{~/plugins/parallax.min.js}"></script>
<script th:src="@{~/plugins/jquery.vide.js}"></script>
<script th:src="@{~/js/script.js}"></script>
</body>
</html>
